package com.bocloud.cmp.model.h3c;

public class H3cHostModel {
    /**
     * 主机 ID。 长整型（Long）类型。
     */
    private Long id;
    /**
     * 访问主机用户名称。 字符串（String）类型。
     */
    private String user;
    /**
     * 访问主机密码。 字符串（String）类型。
     */
    private String pwd;
    /**
     * 主机池 ID。 长整型（Long）类型。
     */
    private Long hostPoolId;
    /**
     * 主机名称。 字符串（String）类型。
     */
    private String name;
    /**
     * 服务器IP地址。 字符串（String）类型。
     */
    private String ip;
    /**
     * 主机状态， 0：不正常，1：正常。 整型（Integer）类型。
     */
    private Integer status;
    /**
     * 主机HA状态。 整型（Integer）类型。0表示主机未在HA中，1表示主机在HA中。
     */
    private Integer haEnable;
    /**
     * 服务器支持的Hypervisor类型。如 “kvm”、“xen”、“esx” 字符串（String）类型。
     */
    private String type;
    /**
     * 服务器型号。 字符串（String）类型。
     */
    private String model;
    /**
     * 服务器制造商。 字符串（String）类型。
     */
    private String vendor;
    /**
     * CPU个数 。 整数（int）类型。
     */
    private Integer cpuCount;
    /**
     * CPU频率，单位为MHz。 整数（int）类型。
     */
    private Integer cpuFrequence;
    /**
     * CPU型号。 字符串（String）类型。
     */
    private String cpuModel;
    /**
     * 磁盘大小，单位为MB。 长整数（long）类型。
     */
    private Long diskSize;
    /**
     * 内存大小，单位为MB。 长整数（long）类型。
     */
    private Long memorySize;
    /**
     * cpu; 个数。 整数（int）类型。
     */
    private Integer cpuSockets;
    /**
     * cpu; 核数。 整数（int）类型。
     */
    private Integer cpuCores;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public Long getHostPoolId() {
        return hostPoolId;
    }

    public void setHostPoolId(Long hostPoolId) {
        this.hostPoolId = hostPoolId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getHaEnable() {
        return haEnable;
    }

    public void setHaEnable(Integer haEnable) {
        this.haEnable = haEnable;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getVendor() {
        return vendor;
    }

    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    public Integer getCpuCount() {
        return cpuCount;
    }

    public void setCpuCount(Integer cpuCount) {
        this.cpuCount = cpuCount;
    }

    public Integer getCpuFrequence() {
        return cpuFrequence;
    }

    public void setCpuFrequence(Integer cpuFrequence) {
        this.cpuFrequence = cpuFrequence;
    }

    public String getCpuModel() {
        return cpuModel;
    }

    public void setCpuModel(String cpuModel) {
        this.cpuModel = cpuModel;
    }

    public Long getDiskSize() {
        return diskSize;
    }

    public void setDiskSize(Long diskSize) {
        this.diskSize = diskSize;
    }

    public Long getMemorySize() {
        return memorySize;
    }

    public void setMemorySize(Long memorySize) {
        this.memorySize = memorySize;
    }

    public Integer getCpuSockets() {
        return cpuSockets;
    }

    public void setCpuSockets(Integer cpuSockets) {
        this.cpuSockets = cpuSockets;
    }

    public Integer getCpuCores() {
        return cpuCores;
    }

    public void setCpuCores(Integer cpuCores) {
        this.cpuCores = cpuCores;
    }
}
